module Gitkite
  module ApplicationHelper
    def current_user
      user_id = session[:user]

      if(user_id)
        User.find(user_id)
      else
        false
      end
    end

    def authenticate_user!
      if !current_user
        flash.alert = "Sign in to continue"
        session[:previous_url] = request.fullpath
        redirect_to gitkite.gitkit_sign_in_url
      end
    end
  end
end
